Seeds
Update Seed Group Tags
Updates a seed groups tags.
POST
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
/
{seedGroupUid}
/
tags
/
batchUpdate
cURL
curl --request POST \
--url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/tags/batchUpdate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seedGroupTagsToDelete": [
"<string>"
],
"seedGroupTagsToAdd": [
"<string>"
],
"seedUids": [
"<string>"
],
"seedTagsToDelete": [
"<string>"
],
"seedTagsToAdd": [
"<string>"
]
}
'import requests
url = "https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/tags/batchUpdate"
payload = {
"seedGroupTagsToDelete": ["<string>"],
"seedGroupTagsToAdd": ["<string>"],
"seedUids": ["<string>"],
"seedTagsToDelete": ["<string>"],
"seedTagsToAdd": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seedGroupTagsToDelete: ['<string>'],
seedGroupTagsToAdd: ['<string>'],
seedUids: ['<string>'],
seedTagsToDelete: ['<string>'],
seedTagsToAdd: ['<string>']
})
};
fetch('https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/tags/batchUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for an organization group. Unique identifier for an organization.
Pattern:
^[-_0-9a-z]{1,50}Unique identifier for a seed group.
Pattern:
^[0-9a-f]{12}Body
application/json
Tags update.
Tags to remove and add to seeds and seed group
Array of tags to delete from the seed group.
Pattern:
^[-_0-9a-zA-Z]{1,16}Array of tags to add to the seed group.
Pattern:
^[-_0-9a-zA-Z]{1,16}Array of seed uids to apply tag update to.
Unique identifier for a seed.
Pattern:
^[0-9a-f]{24}Array of tags to delete from the supplied seeds.
Pattern:
^[-_0-9a-zA-Z]{1,16}Array of tags to add to the supplied seeds.
Pattern:
^[-_0-9a-zA-Z]{1,16}Response
No content.
⌘I
cURL
